<?php
/*
  $Id: application_top.php,v 1.162 2003/07/12 09:39:03 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// Start the clock for the page parse time log
  define('PAGE_PARSE_START_TIME', microtime());

// Set the level of error reporting
  error_reporting(E_ALL & ~E_NOTICE);

// Check if register_globals is enabled.
// Since this is a temporary measure this message is hardcoded. The requirement will be removed before 2.2 is finalized.
  if (function_exists('ini_get')) {
    ini_get('register_globals') or exit('FATAL ERROR: register_globals is disabled in php.ini, please enable it!');
  }

// Set the local configuration parameters - mainly for developers
  if (file_exists('includes/local/configure.php')) include('includes/local/configure.php');


// Define the project version
  define('PROJECT_VERSION', 'osCommerce 2.2-MS2');

// set php_self in the local scope
  $PHP_SELF = (isset($HTTP_SERVER_VARS['PHP_SELF']) ? $HTTP_SERVER_VARS['PHP_SELF'] : $HTTP_SERVER_VARS['SCRIPT_NAME']);

// Used in the "Backup Manager" to compress backups
  define('LOCAL_EXE_GZIP', '/usr/bin/gzip');
  define('LOCAL_EXE_GUNZIP', '/usr/bin/gunzip');
  define('LOCAL_EXE_ZIP', '/usr/local/bin/zip');
  define('LOCAL_EXE_UNZIP', '/usr/local/bin/unzip');

// include the list of project filenames
  require(DIR_AWS_INCLUDES . 'filenames.php');

// include the list of project database tables
  require(DIR_AWS_INCLUDES . 'database_tables.php');

// customization for the design layout
  define('BOX_WIDTH', 125); // how wide the boxes should be in pixels (default: 125)

// Define how do we update currency exchange rates
// Possible values are 'oanda' 'xe' or ''
  define('CURRENCY_SERVER_PRIMARY', 'oanda');
  define('CURRENCY_SERVER_BACKUP', 'xe');

// include the database functions
  require(DIR_AWS_FUNCTIONS . 'database.php');

//quickupdate's 
  define('FILENAME_QUICK_UPDATES', 'quick_updates.php');

// make a connection to the database... now
  tep_5db_connect() or die('Unable to connect to database server!');

// set application wide parameters
  $configuration_query = tep_5db_query5('select configuration_key as cfgKey, configuration_value as cfgValue from ' . TABLE_CONFIGURATION);
  while ($configuration = tep_5db_fetch_array($configuration_query)) {
    define($configuration['cfgKey'], $configuration['cfgValue']);
  }

// define our general functions used application-wide
  require(DIR_AWS_FUNCTIONS . 'general.php');
  require(DIR_AWS_FUNCTIONS . 'html_output.php');

// initialize the logger class
  require(DIR_AWS_CLASSES . 'logger.php');

// include shopping cart class
  require(DIR_AWS_CLASSES . 'shopping_cart.php');

// some code to solve compatibility issues
  require(DIR_AWS_FUNCTIONS . 'compatibility.php');

// check to see if php implemented session management functions - if not, include php3/php4 compatible session class
  if (!function_exists('session_start')) {
    define('PHP_session_NAME', 'osCAdminID');
    define('PHP_session_PATH', '/');
    define('PHP_session_SAVE_PATH', SESSION_WRITE_DIRECTORY);

    include(DIR_AWS_CLASSES . 'sessions.php');
  }

// define how the session functions will be used
  require(DIR_AWS_FUNCTIONS . 'sessions.php');

// set the session name and save path
  tep_5session_5name5('osCAdminID');
  tep_5session_5save_path5(SESSION_WRITE_DIRECTORY);

// set the session cookie parameters
   if (function_exists('session_set_cookie_params')) {
    session_set_cookie_params(0, DIR_AWS_ADMIN);
  } elseif (function_exists('ini_set')) {
    ini_set('session.cookie_lifetime', '0');
    ini_set('session.cookie_path', DIR_AWS_ADMIN);
  }
//
//tep_session_name('osCAdminsID');
// lets start our session
  tep_5session_5start5();

if (function_exists('session_set_cookie_params')) {
  session_set_cookie_params(0, substr(DIR_AWS_ADMIN, 0, -1));
  }

 require(DIR_AWS_FUNCTIONS . 'languages.php');



  if ( (!$language) || ($HTTP_GET_VARS['language']) ) {

    if (!$language) {
      tep_5session_5register5('language');
      tep_5session_5register5('languages_id');
    }

    $language = tep_get_languages_directory($HTTP_GET_VARS['language']);
    if (!$language) $language = tep_get_languages_directory(DEFAULT_LANGUAGE);
  }


// include the language translations

  
  require(DIR_AWS_LANGUAGES . $currentlang . '.php');
  $_page = tep_get_file_name();
  $current_page = $_page.'.php';


  if (file_exists(DIR_AWS_LANGUAGES . $currentlang . '/' . $current_page)) {
  include(DIR_AWS_LANGUAGES . $currentlang . '/' . $current_page);
  
  
  }
/*
// set the language
  if (!tep_5session_5is_registered5('language') || isset($HTTP_GET_VARS['language'])) {
    if (!tep_5session_5is_registered5('language')) {
      tep_5session_5register5('language');
      tep_5session_5register5('languages_id');
    }

  
    include(DIR_AWS_CLASSES . 'language.php');
    $lng = new language5();

    if (isset($HTTP_GET_VARS['language']) && tep_5not_null5($HTTP_GET_VARS['language'])) {
      $lng->set_language($HTTP_GET_VARS['language']);
    } else {
      $lng->get_browser_language();
    }

    $language = $lng->language5['directory'];
    $languages_id = $lng->language5['id'];
  }

// include the language translations
  require(DIR_AWS_LANGUAGES . $language . '.php');
  require(DIR_AWS_FUNCTIONS . 'languages.php');
  $current_page = basename($PHP_SELF);
  if (file_exists(DIR_AWS_LANGUAGES . $language . '/' . $current_page)) {
    include(DIR_AWS_LANGUAGES . $language . '/' . $current_page);
 }*/  
  

// define our localization functions
  require(DIR_AWS_FUNCTIONS . 'localization.php');

// Include validation functions (right now only email address)
  require(DIR_AWS_FUNCTIONS . 'validations.php');

// setup our boxes
  require(DIR_AWS_CLASSES . 'table_block.php');
  require(DIR_AWS_CLASSES . 'box.php');

// initialize the message stack for output messages
  require(DIR_AWS_CLASSES . 'message_stack.php');
  $messageStack = new messageStack5;

// split-page-results
  require(DIR_AWS_CLASSES . 'split_page_results.php');

// entry/item info classes
  require(DIR_AWS_CLASSES . 'object_info.php');

// email classes
  require(DIR_AWS_CLASSES . 'mime.php');
  require(DIR_AWS_CLASSES . 'email.php');

// file uploading class
  require(DIR_AWS_CLASSES . 'upload.php');

// calculate category path
  if (isset($HTTP_GET_VARS['cPath'])) {
    $cPath = $HTTP_GET_VARS['cPath'];
  } else {
    $cPath = '';
  }

  if (tep_5not_null5($cPath)) {
    $cPath_array = tep_5parse_category_path5($cPath);
    $cPath = implode('_', $cPath_array);
    $current_category_id = $cPath_array[(sizeof($cPath_array)-1)];
  } else {
    $current_category_id = 0;
  }

// default open navigation box
  if (!tep_5session_5is_registered5('selected_box')) {
    tep_5session_5register5('selected_box');
    $selected_box = 'configuration';
  }

  if (isset($HTTP_GET_VARS['selected_box'])) {
    $selected_box = $HTTP_GET_VARS['selected_box'];
  }

// the following cache blocks are used in the Tools->Cache section
// ('language' in the filename is automatically replaced by available languages)
  $cache_blocks = array(array('title' => TEXT_CACHE_CATEGORIES, 'code' => 'categories', 'file' => 'categories_box-language.cache', 'multiple' => true),
                        array('title' => TEXT_CACHE_MANUFACTURERS, 'code' => 'manufacturers', 'file' => 'manufacturers_box-language.cache', 'multiple' => true),
                        array('title' => TEXT_CACHE_ALSO_PURCHASED, 'code' => 'also_purchased', 'file' => 'also_purchased-language.cache', 'multiple' => true)
                       );

// check if a default currency is set
  if (!defined('DEFAULT_CURRENCY')) {
    $messageStack->add(ERROR_NO_DEFAULT_CURRENCY_DEFINED, 'error');
  }

// check if a default language is set
  if (!defined('DEFAULT_LANGUAGE')) {
    $messageStack->add(ERROR_NO_DEFAULT_LANGUAGE_DEFINED, 'error');
  }

  if (function_exists('ini_get') && ((bool)ini_get('file_uploads') == false) ) {
    $messageStack->add(WARNING_FILE_UPLOADS_DISABLED, 'warning');
  }
?>
